const express = require("express");
const router = express.Router();
const DecryptWithServerKey = require("./../../services/decryptionservice");
const UserRequest = require("./../../model/patient/request");

router.post("/", async (req, res) => {
  //Get the payload
  //! @todo decrypt keys using server key
  const patientKey = req.body.patient;
  const practitionerKey = req.body.practitionerKey;

  //create the insert object
  const requestObject = new UserRequest({
    patient: patientKey,
    practitioner: practitionerKey,
    status: "pending",
  });
  try {
    //save into the collection
    const saveInCollection = await requestObject.save();
    console.log("Request details added to collection " + saveInCollection);
    res.status(200).json({
      message: "Request added successfully",
    });
    console.log("/patient/request - patient request added successfully");
  } catch (errorWhenInsertingRequestObject) {
    console.log(
      "Error when adding user request : ",
      errorWhenInsertingRequestObject
    );
    res.status(500).json({
      message:
        "Error when adding user request : " + errorWhenInsertingRequestObject,
    });
    console.log("/patient/request - error when adding user request");
  }
});

module.exports = router;
