const cryptojs = require("crypto-js");
require("dotenv").config();

function EncryptWithServerKey(originalTxt) {
  var key = cryptojs.enc.Utf8.parse(process.env.AESKEY);
  var options = {
    mode: cryptojs.mode.CBC,
    padding: cryptojs.pad.Pkcs7,
    iv: cryptojs.enc.Utf8.parse(process.env.AESKEY),
  };
  var encryptedTxt = cryptojs.AES.encrypt(originalTxt, key, options).toString();

  return encryptedTxt;
}

function EncryptWithStellarSeed(originalText, seed) {
  var key = cryptojs.enc.Utf8.parse(seed);
  var options = {
    mode: cryptojs.mode.CBC,
    padding: cryptojs.pad.Pkcs7,
    iv: cryptojs.enc.Utf8.parse(seed),
  };
  var encryptedTxt = cryptojs.AES.encrypt(
    originalText,
    key,
    options
  ).toString();

  return encryptedTxt;
}

module.exports = { EncryptWithServerKey, EncryptWithStellarSeed };
